Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Zypper error mesage

  1. #1
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,727
    Blog Entries
    2

    Default Zypper error mesage

    Hi I have openSUSE 11.4 + Gnome standard

    I'm trying to update to newer packages in the 11.4 Updates repo using this command:
    Code:
    zypper up --repo 'Updates for openSUSE 11.4 11.4-0'
    I get this response, note the error message:
    linux-asyc:/home/john # zypper up --repo 'Updates for openSUSE 11.4 11.4-0'
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Loading repository data...
    Reading installed packages...

    The following package is going to be upgraded:
    postfix

    1 package to upgrade.
    Can you explain the error message and/or tell me how to fix it.

    Thanks
    Leap 42.3 & 15.1(Beta) &KDE
    FYIs from the days of yore

  2. #2
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Zypper error mesage

    swerdna wrote:

    >
    > Hi I have openSUSE 11.4 + Gnome standard
    >
    > I'm trying to update to newer packages in the 11.4 Updates repo using
    > this command:
    >
    > Code:
    > --------------------
    > zypper up --repo 'Updates for openSUSE 11.4 11.4-0'
    > --------------------
    >
    > I get this response, note the error message:
    >> linux-asyc:/home/john # zypper up --repo 'Updates for openSUSE 11.4
    >> 11.4-0'
    >> **
    >> GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed:
    >> (connection->initialization_error == NULL)
    >> Loading repository data...
    >> Reading installed packages...
    >>
    >> The following package is going to be upgraded:
    >> postfix
    >>
    >> 1 package to upgrade.

    >
    > Can you explain the error message and/or tell me how to fix it.
    >
    > Thanks
    >

    I cannot explain the error message, but if you used su before use "su -"
    instead as proposed here
    http://lists.opensuse.org/opensuse-b.../msg03456.html
    (last line).

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.1 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | KDE 4.6.0 | nVidia
    ION | 3GB Ram

  3. #3
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,571
    Blog Entries
    1

    Default Re: Zypper error mesage

    Hi John. Its a known bug apparently. Have a read of this thread. (Some links to bug report provided there). There is a workaround to use 'su -' then 'zypper up'. (As I see martin_helm has explained already).

  4. #4
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,727
    Blog Entries
    2

    Default Re: Zypper error mesage

    Yes I did use "su" not "su -" so I switched and all is good. Thanks guys
    Leap 42.3 & 15.1(Beta) &KDE
    FYIs from the days of yore

  5. #5
    Join Date
    Nov 2010
    Location
    Ελλάδα(Αθήνα)-Россия (г. Красноярск)
    Posts
    2,919

    Default Απ: Re: Zypper error mesage

    Code:
    inux-asyc:/home/john # zypper up --repo 'Updates for openSUSE 11.4 11.4-0'
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Loading repository data...
    Reading installed packages...
    
    The following package is going to be upgraded:
    postfix
    
    1 package to upgrade.

    Sorry for the late response but this problem we had faced again in older threads
    Read this
    [Bug 672793] New: GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: a
    Πάντα Φιλικά, Στάμος.
    Desktop: openSUSE Leap 15||x86_64||Gnome 3.14 & KDE 5||AMD Ryzen 7 8 core||Nvidia GTX 1070 Ti Gaming Edition
    Γλώσσες Προγραμματισμού: C++, Qt developing.
    http://bit.ly/fT8Hfi

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,267

    Default Re: Zypper error mesage

    Quote Originally Posted by swerdna View Post
    Yes I did use "su" not "su -" so I switched and all is good. Thanks guys
    Hehe, that is an old one isn't it? Still not having that habit in your fingers?
    Henk van Velden

  7. #7
    Join Date
    Nov 2010
    Location
    Ελλάδα(Αθήνα)-Россия (г. Красноярск)
    Posts
    2,919

    Default Απ: Re: Zypper error mesage

    Quote Originally Posted by hcvv View Post
    Hehe, that is an old one isn't it? Still not having that habit in your fingers?
    This problem based on repos' URLs.
    Πάντα Φιλικά, Στάμος.
    Desktop: openSUSE Leap 15||x86_64||Gnome 3.14 & KDE 5||AMD Ryzen 7 8 core||Nvidia GTX 1070 Ti Gaming Edition
    Γλώσσες Προγραμματισμού: C++, Qt developing.
    http://bit.ly/fT8Hfi

  8. #8
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,727
    Blog Entries
    2

    Default Re: Zypper error mesage

    Quote Originally Posted by hcvv View Post
    Hehe, that is an old one isn't it? Still not having that habit in your fingers?
    It's my youthful impulsiveness, don't get time to remember.
    Leap 42.3 & 15.1(Beta) &KDE
    FYIs from the days of yore

  9. #9
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,727
    Blog Entries
    2

    Default Re: Απ: Re: Zypper error mesage

    Quote Originally Posted by stamostolias View Post


    This problem based on repos' URLs..
    Please explain what you mean.
    Leap 42.3 & 15.1(Beta) &KDE
    FYIs from the days of yore

  10. #10
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,267

    Default Re: Απ: Re: Zypper error mesage

    Quote Originally Posted by stamostolias View Post
    This problem based on repos' URLs.
    You completely missed my remark. It was about the "su" vs. "su -" (as you could have seen from the quote I put before my remark). Not about the original problem.
    Henk van Velden

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •